<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingTop="14dp">

    <com.cooleshow.teacher.widgets.CourseSearchView
        android:id="@+id/search_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:left_search_text="声部"
        app:search_edit_hint="请输入曲目名称" />

    <View
        android:id="@+id/view_upload_bg"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:layout_marginStart="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_15"
        android:layout_marginEnd="@dimen/dp_14"
        android:background="@drawable/bg_white_10dp_border_e5e5e5"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/search_view" />

    <TextView
        android:id="@+id/tv_upload_sheet_music"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:drawableRight="@drawable/icon_arrow_right"
        android:drawablePadding="6dp"
        android:text="上传乐谱"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_15"
        app:layout_constraintBottom_toBottomOf="@+id/view_upload_bg"
        app:layout_constraintLeft_toLeftOf="@+id/view_upload_bg"
        app:layout_constraintRight_toRightOf="@+id/view_upload_bg"
        app:layout_constraintTop_toTopOf="@+id/view_upload_bg" />

    <ImageView
        android:id="@+id/iv_icon_upload"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="2dp"
        android:src="@drawable/icon_upload_sheet_music"
        app:layout_constraintBottom_toBottomOf="@+id/tv_upload_sheet_music"
        app:layout_constraintRight_toLeftOf="@+id/tv_upload_sheet_music"
        app:layout_constraintTop_toTopOf="@+id/tv_upload_sheet_music" />

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_upload_bg">



        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

    <androidx.constraintlayout.widget.Group
        android:id="@+id/group_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:constraint_referenced_ids="search_view,refreshLayout,view_upload_bg,iv_icon_upload,tv_upload_sheet_music,view_upload_bg" />

    <ViewStub
        android:id="@+id/vs_no_cert"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout="@layout/view_go_cert_music_person_tip_layout" />
</androidx.constraintlayout.widget.ConstraintLayout>